Index: trunk/NEMO/OPA_SRC/DYN/divcur.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 52)
+++ trunk/NEMO/OPA_SRC/DYN/divcur.F90	(revision 78)
@@ -123,8 +123,8 @@
          ! open boundaries (div must be zero behind the open boundary)
          !  mpp remark: The zeroing of hdivn can probably be extended to 1->jpi/jpj for the correct row/column
-         IF( lpeastobc  )   hdivn(nie0p1:nie1p1,nje0  :nje1  ,jk) = 0.e0      ! east
-         IF( lpwestobc  )   hdivn(niw0  :niw1  ,njw0  :njw1  ,jk) = 0.e0      ! west
-         IF( lpnorthobc )   hdivn(nin0  :nin1  ,njn0p1:njn1p1,jk) = 0.e0      ! north
-         IF( lpsouthobc )   hdivn(nis0  :nis1  ,njs0  :njs1  ,jk) = 0.e0      ! south
+         IF( lp_obc_east  )   hdivn(nie0p1:nie1p1,nje0  :nje1  ,jk) = 0.e0      ! east
+         IF( lp_obc_west  )   hdivn(niw0  :niw1  ,njw0  :njw1  ,jk) = 0.e0      ! west
+         IF( lp_obc_north )   hdivn(nin0  :nin1  ,njn0p1:njn1p1,jk) = 0.e0      ! north
+         IF( lp_obc_south )   hdivn(nis0  :nis1  ,njs0  :njs1  ,jk) = 0.e0      ! south
 #endif         
 
@@ -319,8 +319,8 @@
          ! open boundaries (div must be zero behind the open boundary)
          !  mpp remark: The zeroing of hdivn can probably be extended to 1->jpi/jpj for the correct row/column
-         IF( lpeastobc  )   hdivn(nie0p1:nie1p1,nje0  :nje1  ,jk) = 0.e0      ! east
-         IF( lpwestobc  )   hdivn(niw0  :niw1  ,njw0  :njw1  ,jk) = 0.e0      ! west
-         IF( lpnorthobc )   hdivn(nin0  :nin1  ,njn0p1:njn1p1,jk) = 0.e0      ! north
-         IF( lpsouthobc )   hdivn(nis0  :nis1  ,njs0  :njs1  ,jk) = 0.e0      ! south
+         IF( lp_obc_east  )   hdivn(nie0p1:nie1p1,nje0  :nje1  ,jk) = 0.e0      ! east
+         IF( lp_obc_west  )   hdivn(niw0  :niw1  ,njw0  :njw1  ,jk) = 0.e0      ! west
+         IF( lp_obc_north )   hdivn(nin0  :nin1  ,njn0p1:njn1p1,jk) = 0.e0      ! north
+         IF( lp_obc_south )   hdivn(nis0  :nis1  ,njs0  :njs1  ,jk) = 0.e0      ! south
 #endif         
          !                                             ! --------
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 52)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 78)
@@ -69,5 +69,5 @@
       !!      gradient or a successive-over-relaxation method (depending
       !!      on nsolv, a namelist parameter).
-      !!         -3- add to bsfd the island trends if l_isl=T
+      !!         -3- add to bsfd the island trends if lk_isl=T
       !!         -4- compute the after streamfunction is for further diagnos-
       !!      tics using a leap-frog scheme.
@@ -247,5 +247,5 @@
       ! -----------------------------------
 
-      IF( l_isl )   CALL isl_dyn_spg         ! update bsfd
+      IF( lk_isl )   CALL isl_dyn_spg         ! update bsfd
 
 
@@ -253,5 +253,5 @@
       ! Compute bsf trend for OBC points (not masked)
 
-      IF( lpeastobc ) THEN
+      IF( lp_obc_east ) THEN
       ! compute bsf trend at the boundary from bsfeob, computed in obc_spg
       IF( neuler == 0 .AND. kt == nit000 ) THEN
@@ -268,5 +268,5 @@
       ENDIF
 
-      IF( lpwestobc ) THEN
+      IF( lp_obc_west ) THEN
       ! compute bsf trend at the boundary from bsfwob, computed in obc_spg
       IF( neuler == 0 .AND. kt == nit000 ) THEN
@@ -283,5 +283,5 @@
       ENDIF
 
-      IF( lpnorthobc ) THEN
+      IF( lp_obc_north ) THEN
       ! compute bsf trend at the boundary from bsfnob, computed in obc_spg
       IF( neuler == 0 .AND. kt == nit000 ) THEN
@@ -298,5 +298,5 @@
       ENDIF
 
-      IF( lpsouthobc ) THEN
+      IF( lp_obc_south ) THEN
       ! compute bsf trend at the boundary from bsfsob, computed in obc_spg
       IF( neuler == 0 .AND. kt == nit000 ) THEN
@@ -366,5 +366,5 @@
 # if defined key_obc
       ! Swap of boundary arrays
-      IF( lpeastobc ) THEN
+      IF( lp_obc_east ) THEN
       ! (jped,jpef),nieob
       IF( kt < nit000+3 .AND. .NOT.ln_rstart ) THEN
@@ -400,5 +400,5 @@
       ENDIF
 
-      IF( lpwestobc ) THEN
+      IF( lp_obc_west ) THEN
       ! (jpwd,jpwf),niwob
       IF( kt < nit000+3 .AND. .NOT.ln_rstart ) THEN
@@ -434,5 +434,5 @@
       ENDIF
 
-      IF( lpnorthobc ) THEN
+      IF( lp_obc_north ) THEN
    ! njnob,(jpnd,jpnf)
       IF( kt < nit000 + 3 .AND. .NOT.ln_rstart ) THEN
@@ -468,5 +468,5 @@
       ENDIF
 
-      IF( lpsouthobc ) THEN
+      IF( lp_obc_south ) THEN
          ! njsob,(jpsd,jpsf)
          IF( kt < nit000+3 .AND. .NOT.ln_rstart ) THEN