Index: trunk/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SOL/solver.F90	(revision 54)
+++ trunk/NEMO/OPA_SRC/SOL/solver.F90	(revision 79)
@@ -21,5 +21,5 @@
    USE dynspg_rl       
    USE dynspg_fsc      
-   USE dynspg_fsc_atsk 
+   USE dynspg_fsc_atsk      
 
    IMPLICIT NONE
@@ -37,5 +37,5 @@
       !! ** Purpose :   Initialization for the solver of the elliptic equation:
       !!       * default option: barotropic stream function system
-      !!         and islands initialization (if l_isl=T)
+      !!         and islands initialization (if lk_isl=T)
       !!       * lk_dynspg_fsc = T : transport divergence system. No specific
       !!         treatment of islands.
@@ -51,5 +51,5 @@
       !!       - Construct the matrix of the elliptic system by a call to
       !!      solmat.F routine.
-      !!       - island (if l_isl=T)
+      !!       - island (if lk_isl=T)
       !!            isl_dom: find islands from the bathymetry file
       !!            isl_bsf: compute the island barotropic stream function
@@ -83,6 +83,6 @@
 
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'ini_sol : solver to compute the surface pressure gradient'
-      IF(lwp) WRITE(numout,*) '~~~~~~~'
+      IF(lwp) WRITE(numout,*) 'solver_init : solver to compute the surface pressure gradient'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
 
       ! open elliptic solver statistics file
@@ -110,11 +110,10 @@
 
       IF(lwp) THEN
-         WRITE(numout,*)
          WRITE(numout,*) '             type of elliptic solver        nsolv  = ', nsolv
          WRITE(numout,*) '             maximum iterations for solver  nmax   = ', nmax
          WRITE(numout,*) '             absolute precision of solver   eps    = ', eps
          WRITE(numout,*) '             optimal coefficient of sor     sor    = ', sor
-         IF(l_isl) WRITE(numout,*) '             absolute precision stream fct  epsisl = ', epsisl
-         IF(l_isl) WRITE(numout,*) '             maximum pcg iterations island  nmisl  = ', nmisl
+         IF(lk_isl) WRITE(numout,*) '             absolute precision stream fct  epsisl = ', epsisl
+         IF(lk_isl) WRITE(numout,*) '             maximum pcg iterations island  nmisl  = ', nmisl
          WRITE(numout,*) '             free surface parameter         rnu    = ', rnu
          WRITE(numout,*)
@@ -123,6 +122,6 @@
       IF( lk_dynspg_fsc .OR. lk_dynspg_fsc_tsk ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '          *** free surface formulation'
-         IF( l_isl ) THEN
+         IF(lwp) WRITE(numout,*) '          free surface formulation'
+         IF( lk_isl ) THEN
             IF(lwp) WRITE(numout,cform_err)
             IF(lwp) WRITE(numout,*) ' key_islands inconsistent with key_dynspg_fsc'
@@ -131,5 +130,5 @@
       ELSEIF( lk_dynspg_rl ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '          *** Rigid lid formulation'
+         IF(lwp) WRITE(numout,*) '          Rigid lid formulation'
       ELSE
          IF(lwp) WRITE(numout,cform_err)
@@ -137,5 +136,5 @@
          nstop = nstop + 1
       ENDIF
-      IF( lk_dynspg_fsc .AND. lk_dynspg_rl ) THEN
+      IF( ( lk_dynspg_fsc .OR. lk_dynspg_fsc_tsk ) .AND. lk_dynspg_rl ) THEN
          IF(lwp) WRITE(numout,cform_err)
          IF(lwp) WRITE(numout,*) '          Chose between free surface or rigid-lid, not both'
@@ -146,16 +145,18 @@
 
       CASE ( 1 )                ! preconditioned conjugate gradient solver
-         IF(lwp) WRITE(numout,*) '          use a preconditioned conjugate gradient solver'
+         IF(lwp) WRITE(numout,*) '          a preconditioned conjugate gradient solver is used'
 
       CASE ( 2 )                ! successive-over-relaxation solver
-         IF(lwp) WRITE(numout,*) '          use a successive-over-relaxation solver'
+         IF(lwp) WRITE(numout,*) '          a successive-over-relaxation solver is used'
 
       CASE ( 3 )                ! FETI solver
-         IF(lwp) WRITE(numout,*) '          use the FETI solver'
+         IF(lwp) WRITE(numout,*) '          the FETI solver is used'
          IF( .NOT.lk_mpp ) THEN
+            IF(lwp) WRITE(numout,cform_err)
             IF(lwp) WRITE(numout,*) ' The FETI algorithm is used only with the key_mpp_... option'
             nstop = nstop + 1
          ELSE
             IF( jpnij == 1 ) THEN
+               IF(lwp) WRITE(numout,cform_err)
                IF(lwp) WRITE(numout,*) ' The FETI algorithm needs more than one processor'
                nstop = nstop + 1
@@ -194,5 +195,5 @@
 
 
-      IF( l_isl ) THEN
+      IF( lk_isl ) THEN
       
          ! Islands in the domain