Index: /trunk/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 87)
@@ -339,5 +339,5 @@
       END DO
 
-      IF( l_ctl .AND. lwp ) THEN
+      IF(l_ctl) THEN
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
Index: /trunk/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 87)
@@ -163,5 +163,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print mean field (used for debugging)
+      IF(l_ctl) THEN         ! print mean field (used for debugging)
          WRITE(numout,*) ' nxt  - Tn: ', SUM(tn*tmask), ' Sn: ', SUM(sn*tmask)
       ENDIF
Index: /trunk/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 87)
@@ -172,5 +172,5 @@
       ENDIF
 
-      IF( l_ctl .AND. lwp ) THEN         ! print mean trends (used for debugging)
+      IF(l_ctl) THEN         ! print mean trends (used for debugging)
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zta = SUM( ta * tmask ) 
Index: /trunk/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 87)
@@ -121,5 +121,5 @@
       END DO
       
-      IF( l_ctl .AND. lwp ) THEN         ! print mean trends (used for debugging)
+      IF(l_ctl) THEN         ! print mean trends (used for debugging)
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
Index: /trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/trazdf_iso.F90	(revision 87)
@@ -138,9 +138,13 @@
 #if defined key_traldf_eiv   ||   defined key_esopa
       REAL(wp), DIMENSION(jpi,jpk) ::   &
-         ztfwg, zsfwg, zavs 
+         ztfwg, zsfwg 
       REAL(wp) ::                       &
          zcoeg3,                        &
          zuwk, zvwk,                    &
          zuwki, zvwki
+#endif
+#if defined key_zdfddm   ||   defined key_esopa
+      REAL(wp), DIMENSION(jpi,jpk) ::   &
+         zavs 
 #endif
       !!---------------------------------------------------------------------
@@ -366,5 +370,5 @@
 
 
-      IF( l_ctl .AND. lwp ) THEN         ! print mean trends (used for debugging)
+      IF(l_ctl) THEN         ! print mean trends (used for debugging)
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
@@ -529,5 +533,5 @@
       !                                                ! ===============
 
-      IF( l_ctl .AND. lwp ) THEN         ! print mean trends (used for debugging)
+      IF(l_ctl) THEN         ! print mean trends (used for debugging)
          zta = SUM( ta(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
          zsa = SUM( sa(2:jpim1,2:jpjm1,1:jpkm1) * tmask(2:jpim1,2:jpjm1,1:jpkm1) )
Index: /trunk/NEMO/OPA_SRC/TRA/zpshde.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 86)
+++ /trunk/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 87)
@@ -72,5 +72,5 @@
       !!          Idem for di(s) and dj(s)          
       !!
-      !!      For rho, we call eos2d.h which will compute rd~(t~,s~) at 
+      !!      For rho, we call eos_insitu_2d which will compute rd~(t~,s~) at 
       !!      the good depth zh from interpolated T and S for the different
       !!      formulation of the equation of state (eos).