Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 88)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 89)
@@ -254,5 +254,6 @@
 all: 		$(EXEC_BIN)
 		@cp SRC_FILE_LIST.temp SRC_FILE_LIST
-		@echo OPA model is OK
+		@rcp ../../../bin/opa uqbar:/workdir/rech/eee/reee831/WNEMO/opa_NEMO 
+		@echo OPA model is OK  and rcp in opa_NEMO on uqbar
 # cleaning objects, libraries and executables
 clean:
@@ -1098,4 +1099,5 @@
 	dtatem.F90 \
 	dynspg_fsc.F90 \
+	dynspg_fsc_atsk.F90 \
 	flxrnf.F90 \
 	in_out_manager.F90 \
@@ -1119,4 +1121,5 @@
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(dynspg_fsc.o) \
+	$(MODEL_LIB)(dynspg_fsc_atsk.o) \
 	$(MODEL_LIB)(flxrnf.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1178,4 +1181,7 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	solfet.F90 \
+	solpcg.F90 \
+	solsor.F90 \
 	sol_oce.F90 \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -1191,4 +1197,7 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(solfet.o) \
+	$(MODEL_LIB)(solpcg.o) \
+	$(MODEL_LIB)(solsor.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	dom_oce.F90 \
@@ -1218,7 +1227,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(phycst.o) \
-	domhgr_coo_fdir.h90 \
 	../../../lib/libioipsl.a \
-	KEY_CPP \
 	domhgr.F90
 $(MODEL_LIB)(dommsk.o) :	\
@@ -1279,4 +1286,5 @@
 	dom_oce.F90 \
 	dynspg_fsc.F90 \
+	dynspg_fsc_atsk.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -1287,4 +1295,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_fsc.o) \
+	$(MODEL_LIB)(dynspg_fsc_atsk.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -1343,4 +1352,7 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	solfet.F90 \
+	solpcg.F90 \
+	solsor.F90 \
 	sol_oce.F90 \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -1359,4 +1371,7 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(solfet.o) \
+	$(MODEL_LIB)(solpcg.o) \
+	$(MODEL_LIB)(solsor.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	closea.F90 \
@@ -1935,4 +1950,5 @@
 	trddyn_oce.F90 \
 	trdtra_oce.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(cla_dynspg.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1953,4 +1969,5 @@
 	$(MODEL_LIB)(trddyn_oce.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	domzgr_substitute.h90 \
 	KEY_CPP \
@@ -1971,4 +1988,7 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	solfet.F90 \
+	solpcg.F90 \
+	solsor.F90 \
 	sol_oce.F90 \
 	zdf_oce.F90 \
@@ -1987,4 +2007,7 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(solfet.o) \
+	$(MODEL_LIB)(solpcg.o) \
+	$(MODEL_LIB)(solsor.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -2784,4 +2807,5 @@
 	$(MODEL_LIB)(thd_ice.o) \
 	$(MODEL_LIB)(tradmp.o) \
+	cpl_oce.F90 \
 	daymod.F90 \
 	dom_ice.F90 \
@@ -2804,4 +2828,5 @@
 	phycst.F90 \
 	taumod.F90 \
+	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice.o) \
@@ -3344,4 +3369,5 @@
 	in_out_manager.F90 \
 	limistate.F90 \
+	par_ice.F90 \
 	phycst.F90 \
 	$(MODEL_LIB)(daymod.o) \
@@ -3352,4 +3378,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(limistate.o) \
+	$(MODEL_LIB)(par_ice.o) \
 	$(MODEL_LIB)(phycst.o) \
 	vectopt_loop_substitute.h90 \
@@ -3358,6 +3385,10 @@
 $(MODEL_LIB)(limdyn.o) :	\
 	blk_oce.F90 \
+	cpl_oce.F90 \
 	dom_ice.F90 \
 	dom_oce.F90 \
+	dtasal.F90 \
+	dtasst.F90 \
+	dtatem.F90 \
 	flx_oce.F90 \
 	ice.F90 \
@@ -3377,6 +3408,10 @@
 	phycst.F90 \
 	$(MODEL_LIB)(blk_oce.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_ice.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasst.o) \
+	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice.o) \
@@ -3402,4 +3437,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lib_mpp.F90 \
 	limistate.F90 \
 	limrhg.F90 \
@@ -3412,4 +3448,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(limistate.o) \
 	$(MODEL_LIB)(limrhg.o) \
@@ -3539,4 +3576,5 @@
 	oce.F90 \
 	ocfzpt.F90 \
+	par_ice.F90 \
 	phycst.F90 \
 	$(MODEL_LIB)(dom_ice.o) \
@@ -3548,4 +3586,5 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(par_ice.o) \
 	$(MODEL_LIB)(phycst.o) \
 	limistate.F90
@@ -3554,19 +3593,25 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_ice.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice.o) \
+	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
 	dom_ice.F90 \
 	dom_oce.F90 \
+	in_out_manager.F90 \
 	lbclnk.F90 \
 	phycst.F90 \
 	$(MODEL_LIB)(dom_ice.o) \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(phycst.o) \
@@ -3574,5 +3619,9 @@
 $(MODEL_LIB)(limrhg.o) :	\
 	blk_oce.F90 \
-	dom_oce.F90 \
+	cpl_oce.F90 \
+	dom_oce.F90 \
+	dtasal.F90 \
+	dtasst.F90 \
+	dtatem.F90 \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
@@ -3583,5 +3632,9 @@
 	par_oce.F90 \
 	$(MODEL_LIB)(blk_oce.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtasst.o) \
+	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -3596,4 +3649,6 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lib_mpp.F90 \
+	par_oce.F90 \
 	phycst.F90 \
 	$(MODEL_LIB)(dom_ice.o) \
@@ -3602,4 +3657,6 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
 	limrhg.F90
@@ -3704,4 +3761,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(thd_ice.o) \
+	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
@@ -4023,4 +4081,5 @@
 	domzgr_substitute.h90 \
 	mppini_2.h90 \
+	../../../lib/libioipsl.a \
 	KEY_CPP \
 	mppini.F90
@@ -4923,4 +4982,5 @@
 $(MODEL_LIB)(ptr.o) :	\
 	cpl_oce.F90 \
+	daymod.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
@@ -4931,5 +4991,7 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	phycst.F90 \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -4940,4 +5002,7 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4945,4 +5010,7 @@
 	lib_mpp.F90 \
 	oce.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4950,4 +5018,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -5078,8 +5147,13 @@
 	dtatem.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
 	lib_print.f90 \
 	obc_par.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	sol_oce.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5088,8 +5162,13 @@
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_par.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5097,4 +5176,7 @@
 	obc_oce.F90 \
 	oce.F90 \
+	solfet.F90 \
+	solpcg.F90 \
+	solsor.F90 \
 	sol_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5103,4 +5185,7 @@
 	$(MODEL_LIB)(obc_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(solfet.o) \
+	$(MODEL_LIB)(solpcg.o) \
+	$(MODEL_LIB)(solsor.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	solisl_fdir.h90 \
@@ -5416,4 +5501,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	ptr.F90 \
 	solfet.F90 \
 	solisl.F90 \
@@ -5490,4 +5576,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(solfet.o) \
 	$(MODEL_LIB)(solisl.o) \
@@ -5513,4 +5600,5 @@
 	closea.F90 \
 	cpl.F90 \
+	cpl_oce.F90 \
 	daymod.F90 \
 	diafwb.F90 \
@@ -5605,4 +5693,5 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diafwb.o) \
@@ -5722,4 +5811,7 @@
 	par_oce.F90 \
 	phycst.F90 \
+	solfet.F90 \
+	solpcg.F90 \
+	solsor.F90 \
 	sol_oce.F90 \
 	taumod.F90 \
@@ -5751,4 +5843,7 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(solfet.o) \
+	$(MODEL_LIB)(solpcg.o) \
+	$(MODEL_LIB)(solsor.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(taumod.o) \
@@ -5810,4 +5905,5 @@
 	cpl_oce.F90 \
 	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
@@ -5815,4 +5911,5 @@
 	dtatem.F90 \
 	in_out_manager.F90 \
+	ldftra_oce.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5824,4 +5921,5 @@
 	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -5829,4 +5927,5 @@
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5843,4 +5942,5 @@
 	oce.F90 \
 	ocfzpt.F90 \
+	ptr.F90 \
 	trabbl.F90 \
 	trdtra_oce.F90 \
@@ -5852,4 +5952,5 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
@@ -5872,4 +5973,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	ptr.F90 \
 	trabbl.F90 \
 	trdtra_oce.F90 \
@@ -5884,4 +5986,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
@@ -5905,4 +6008,6 @@
 	cla_dynspg.F90 \
 	cpl_oce.F90 \
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
@@ -5912,4 +6017,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	ldftra_oce.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5931,4 +6037,6 @@
 	$(MODEL_LIB)(cla_dynspg.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -5938,4 +6046,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5962,4 +6071,5 @@
 	lib_mpp.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trabbl.F90 \
 	trdtra_oce.F90 \
@@ -5971,4 +6081,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
@@ -5980,4 +6091,6 @@
 	cla_dynspg.F90 \
 	cpl_oce.F90 \
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
@@ -5987,4 +6100,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	ldftra_oce.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -6006,4 +6120,6 @@
 	$(MODEL_LIB)(cla_dynspg.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -6013,4 +6129,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -6037,4 +6154,5 @@
 	lib_mpp.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trabbl.F90 \
 	trdtra_oce.F90 \
@@ -6046,4 +6164,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
@@ -6055,4 +6174,6 @@
 	cla_dynspg.F90 \
 	cpl_oce.F90 \
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
@@ -6062,4 +6183,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	ldftra_oce.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -6081,4 +6203,6 @@
 	$(MODEL_LIB)(cla_dynspg.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
@@ -6088,4 +6212,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -6112,4 +6237,5 @@
 	lib_mpp.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trabbl.F90 \
 	trdtra_oce.F90 \
@@ -6121,4 +6247,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
@@ -6227,4 +6354,6 @@
 	tradmp.F90
 $(MODEL_LIB)(traldf_bilapg.o) :	\
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6239,4 +6368,6 @@
 	phycst.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6257,4 +6388,5 @@
 	ldftra_oce.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trdtra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6264,4 +6396,5 @@
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
 	domzgr_substitute.h90 \
@@ -6271,4 +6404,6 @@
 	traldf_bilapg.F90
 $(MODEL_LIB)(traldf_bilap.o) :	\
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6283,4 +6418,6 @@
 	phycst.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6301,4 +6438,5 @@
 	ldftra_oce.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trdtra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6308,4 +6446,5 @@
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
 	domzgr_substitute.h90 \
@@ -6316,4 +6455,6 @@
 	traldf_bilap.F90
 $(MODEL_LIB)(traldf_iso.o) :	\
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6328,4 +6469,6 @@
 	phycst.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6342,15 +6485,15 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trdtra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
 	domzgr_substitute.h90 \
@@ -6361,4 +6504,6 @@
 	traldf_iso.F90
 $(MODEL_LIB)(traldf_iso_zps.o) :	\
+	daymod.F90 \
+	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6373,4 +6518,6 @@
 	phycst.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6387,16 +6534,16 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lbclnk.F90 \
 	ldfslp.F90 \
 	ldftra_oce.F90 \
 	oce.F90 \
+	ptr.F90 \
 	trdtra_oce.F90 \
 	zdf_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
@@ -6408,29 +6555,37 @@
 	traldf_iso_zps.F90
 $(MODEL_LIB)(traldf_lap.o) :	\
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	ldftra_oce.F90 \
-	oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldftra_oce.F90 \
+	oce.F90 \
+	ptr.F90 \
 	trdtra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ptr.o) \
 	$(MODEL_LIB)(trdtra_oce.o) \
 	domzgr_substitute.h90 \
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 88)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 89)
@@ -22,5 +22,26 @@
 #-
 #-Q- sxnec  ## ORCA2-LIM standard
-#-Q- sxnec  P_P = -Wp,-Dkey_partial_steps -Wp,-Dkey_trabbl_dif -Wp,-Dkey_vectopt_loop -Wp,-Dkey_vectopt_memory -Wp,-Dkey_orca_r2 -Wp,-Dkey_ice_lim -Wp,-Dkey_lim_fdd -Wp,-Dkey_dynspg_fsc -Wp,-Dkey_diaeiv -Wp,-Dkey_ldfslp -Wp,-Dkey_traldf_c2d -Wp,-Dkey_traldf_eiv -Wp,-Dkey_dynldf_c3d -Wp,-Dkey_dtatem -Wp,-Dkey_dtasal -Wp,-Dkey_tau_monthly -Wp,-Dkey_flx_bulk_monthly -Wp,-Dkey_diagap -Wp,-Dkey_tradmp -Wp,-Dkey_trabbc -Wp,-Dkey_zdftke -Wp,-Dkey_zdfddm 
+#-Q- sxnec  P_P = -Wp,-Dkey_partial_steps    \
+                  -Wp,-Dkey_trabbl_dif       \
+                  -Wp,-Dkey_vectopt_loop     \
+                  -Wp,-Dkey_vectopt_memory   \
+                  -Wp,-Dkey_orca_r2          \
+                  -Wp,-Dkey_ice_lim          \
+                  -Wp,-Dkey_lim_fdd          \
+                  -Wp,-Dkey_dynspg_fsc       \
+                  -Wp,-Dkey_diaeiv           \
+                  -Wp,-Dkey_ldfslp           \
+                  -Wp,-Dkey_traldf_c2d       \
+                  -Wp,-Dkey_traldf_eiv       \
+                  -Wp,-Dkey_dynldf_c3d       \
+                  -Wp,-Dkey_dtatem           \
+                  -Wp,-Dkey_dtasal           \
+                  -Wp,-Dkey_tau_monthly      \
+                  -Wp,-Dkey_flx_bulk_monthly \
+                  -Wp,-Dkey_diagap           \
+                  -Wp,-Dkey_tradmp           \
+                  -Wp,-Dkey_trabbc           \
+                  -Wp,-Dkey_zdftke           \
+                  -Wp,-Dkey_zdfddm
 #-
 #-Q- sxnec  ## ORCA2-LIM autotasking