Index: trunk/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 109)
@@ -125,5 +125,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1) + zuap
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1) + zvap
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
             ! save the trend for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1) + zuap
@@ -153,5 +153,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk) + zuap
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk) + zvap
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk) + zuap
@@ -238,5 +238,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1)
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
             ! save the momentum trends for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1)
@@ -263,5 +263,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk)
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk)
@@ -293,5 +293,5 @@
                ! add the new one to the general momentum trend
                ua(ji,jj,iku) = ua(ji,jj,iku) + zhpi(ji,jj,iku)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,iku,1) = zhpi(ji,jj,iku)
@@ -307,5 +307,5 @@
                ! add the new one to the general momentum trend
                va(ji,jj,ikv) = va(ji,jj,ikv) + zhpj(ji,jj,ikv)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                vtrd(ji,jj,ikv,1) = zhpj(ji,jj,ikv)
@@ -394,5 +394,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1)
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
             ! save the momentum trends for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1)
@@ -419,5 +419,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk)
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk)
Index: trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynhpg_atsk.F90	(revision 109)
@@ -113,5 +113,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1) + zuap
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1) + zvap
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
             ! save the trend for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1) + zuap
@@ -139,5 +139,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk) + zuap
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk) + zvap
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk) + zuap
@@ -226,5 +226,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1)
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1)
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
             ! save the momentum trends for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1)
@@ -249,5 +249,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk)
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk)
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk)
@@ -272,5 +272,5 @@
                ! add the new one to the general momentum trend
                ua(ji,jj,iku) = ua(ji,jj,iku) + zhpi(ji,jj,iku)
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,iku,1) = zhpi(ji,jj,iku)
@@ -286,5 +286,5 @@
                ! add the new one to the general momentum trend
                va(ji,jj,ikv) = va(ji,jj,ikv) + zhpj(ji,jj,ikv)
-#   if  defined key_trddyn
+#   if  defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                vtrd(ji,jj,ikv,1) = zhpj(ji,jj,ikv)
@@ -376,5 +376,5 @@
             ua(ji,jj,1) = ua(ji,jj,1) + zhpi(ji,jj,1)
             va(ji,jj,1) = va(ji,jj,1) + zhpj(ji,jj,1)
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
             ! save the momentum trends for diagnostics
             utrd(ji,jj,1,1) = zhpi(ji,jj,1)
@@ -399,5 +399,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zhpi(ji,jj,jk)
                va(ji,jj,jk) = va(ji,jj,jk) + zhpj(ji,jj,jk)
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the momentum trends for diagnostics
                utrd(ji,jj,jk,1) = zhpi(ji,jj,jk)
@@ -411,6 +411,6 @@
 
       IF(l_ctl) THEN         ! print sum trends (used for debugging)
-         WRITE(numout,*) ' hpg  - Ua: ', SUM(ua(2:nictl,2:njctl,1:jpkm1)*umask(2:nictl,2:njctl,1:jpkm1))
-         WRITE(numout,*) '      - Va: ', SUM(va(2:nictl,2:njctl,1:jpkm1)*vmask(2:nictl,2:njctl,1:jpkm1))
+         WRITE(numout,*) ' hpg  - Ua: ', SUM(ua(2:nictl,2:njctl,1:jpkm1)*umask(2:nictl,2:njctl,1:jpkm1)), &
+         &                      ' Va: ', SUM(va(2:nictl,2:njctl,1:jpkm1)*vmask(2:nictl,2:njctl,1:jpkm1))
          zuap = SUM( ua(2:nictl,2:njctl,1:jpkm1) * umask(2:nictl,2:njctl,1:jpkm1) )
          zvap = SUM( va(2:nictl,2:njctl,1:jpkm1) * vmask(2:nictl,2:njctl,1:jpkm1) )
Index: trunk/NEMO/OPA_SRC/DYN/dynkeg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 109)
@@ -100,5 +100,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! add to the general momentum trends
                utrd(ji,jj,jk,2) = zua
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 109)
@@ -208,5 +208,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the horizontal biharmonic diffusive trends
                utrd(ji,jj,jk,5) = zua
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 109)
@@ -117,5 +117,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + wk3(ji,jj,jk)
                va(ji,jj,jk) = va(ji,jj,jk) + wk4(ji,jj,jk)
-#if defined key_trddyn 
+#if defined key_trddyn  || defined key_trd_vor
                ! save the horizontal diffusive trends
                utrd(ji,jj,jk,3) = wk3(ji,jj,jk)
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 109)
@@ -233,5 +233,5 @@
                ua (ji,jj,jk) = ua (ji,jj,jk) + zuah
                va (ji,jj,jk) = va (ji,jj,jk) + zvah
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the trends for diagnostics
                utrd(ji,jj,jk,5) = zuah
Index: trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 109)
@@ -107,5 +107,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the horizontal diffusive trends
                utrd(ji,jj,jk,5) = zua
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_fsc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_fsc.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_fsc.F90	(revision 109)
@@ -157,5 +157,5 @@
             spgu(ji,jj) = zspgu + zegu
             spgv(ji,jj) = zspgv + zegv
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
             ! save the surface pressure gradient trends 
             utrd2(ji,jj,1) = zspgu
@@ -175,5 +175,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + spgu(ji,jj)
                va(ji,jj,jk) = va(ji,jj,jk) + spgv(ji,jj)
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the surface pressure gradient trend for diagnostics
                utrd(ji,jj,jk,8) = spgu(ji,jj)
@@ -315,5 +315,5 @@
             spgv(ji,jj) = z2dt * ztdgv
 #endif
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
             ! save the transport divergence gradient trends
             utrd2(ji,jj,2) = utrd2(ji,jj,2) + ztdgu
@@ -333,5 +333,5 @@
                ua(ji,jj,jk) = (ua(ji,jj,jk) + spgu(ji,jj)) * umask(ji,jj,jk)
                va(ji,jj,jk) = (va(ji,jj,jk) + spgv(ji,jj)) * vmask(ji,jj,jk)
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the surface pressure gradient trend for diagnostics
                utrd(ji,jj,jk,8) = utrd(ji,jj,jk,8) + spgu(ji,jj)/z2dt
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_fsc_atsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_fsc_atsk.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_fsc_atsk.F90	(revision 109)
@@ -160,5 +160,5 @@
             spgu(ji,jj) = zspgu + zegu
             spgv(ji,jj) = zspgv + zegv
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
             ! save the surface pressure gradient trends 
             utrd2(ji,jj,1) = zspgu
@@ -176,5 +176,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + spgu(ji,jj)
                va(ji,jj,jk) = va(ji,jj,jk) + spgv(ji,jj)
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the surface pressure gradient trend for diagnostics
                utrd(ji,jj,jk,8) = spgu(ji,jj)
@@ -338,5 +338,5 @@
             spgv(ji,jj) = z2dt * ztdgv
 #endif
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
             ! save the transport divergence gradient trends
             utrd2(ji,jj,2) = utrd2(ji,jj,2) + ztdgu
@@ -354,5 +354,5 @@
                ua(ji,jj,jk) = (ua(ji,jj,jk) + spgu(ji,jj)) * umask(ji,jj,jk)
                va(ji,jj,jk) = (va(ji,jj,jk) + spgv(ji,jj)) * vmask(ji,jj,jk)
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the surface pressure gradient trend for diagnostics
                utrd(ji,jj,jk,8) = utrd(ji,jj,jk,8) + spgu(ji,jj)/z2dt
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 109)
@@ -520,5 +520,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) - spgu(ji,jj)
                va(ji,jj,jk) = va(ji,jj,jk) - spgv(ji,jj)
-# if defined key_trddyn
+# if defined key_trddyn || defined key_trd_vor
                ! save the surface pressure gradient trend for diagnostics
                utrd(ji,jj,jk,8) = -spgu(ji,jj)
Index: trunk/NEMO/OPA_SRC/DYN/dynzad.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 109)
@@ -115,5 +115,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the trends for diagnostics
                utrd(ji,jj,jk,6) = zua
@@ -218,5 +218,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zua
                va(ji,jj,jk) = va(ji,jj,jk) + zva
-#   if defined key_trddyn
+#   if defined key_trddyn || defined key_trd_vor
                ! save the trends for diagnostics
                utrd(ji,jj,jk,6) = zua
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 109)
@@ -64,5 +64,5 @@
       REAL(wp), DIMENSION(jpi,jpk) ::   &
          zwx, zwy, zwz, zww               ! temporary workspace arrays
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       INTEGER ::   &
          ikbu, ikbum1 , ikbv, ikbvm1      ! temporary integers
@@ -98,5 +98,5 @@
                zwx(ji,jk) = ub(ji,jj,jk)
                zwz(ji,jk) = vb(ji,jj,jk)
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                utrd(ji,jj,jk,7) = ua(ji,jj,jk)
                vtrd(ji,jj,jk,7) = va(ji,jj,jk)
@@ -131,5 +131,5 @@
          END DO  
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
          ! diagnose the vertical diffusive momentum trends
 
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 109)
@@ -75,7 +75,7 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
          zwi                             ! temporary workspace arrays
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       INTEGER ::   &
-         ikbu, ikbum1, ikbv, ikbvm1   &  ! temporary integers
+         ikbu, ikbum1, ikbv, ikbvm1     ! temporary integers
 #endif
       !!----------------------------------------------------------------------
@@ -94,5 +94,5 @@
       IF( neuler == 0 .AND. kt == nit000 )   z2dt = rdt
       ! Normalization to obtain the general momentum trend ua
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       ! Save the previously computed trend
       DO jk = 1, jpkm1
@@ -190,5 +190,5 @@
       END DO
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       ! diagnose surface and bottom momentum fluxes
       DO jj = 2, jpjm1   
@@ -203,6 +203,6 @@
             ! subtract surface forcing and bottom friction trend from vertical
             ! diffusive momentum trend
-            utrd(ji,jj,1     ,7) = utrd(ji,jj,1     ,7) - tautrd(ji,jj,1)
-            utrd(ji,jj,ikbum1,7) = utrd(ji,jj,ikbum1,7) - tautrd(ji,jj,3)
+            utrd(ji,jj,1     ,7) = utrd(ji,jj,1     ,7) + tautrd(ji,jj,1)
+            utrd(ji,jj,ikbum1,7) = utrd(ji,jj,ikbum1,7) + tautrd(ji,jj,3)
          END DO
       END DO
@@ -214,5 +214,5 @@
             DO ji = fs_2, fs_jpim1   ! vector opt.
                zua = ( ua(ji,jj,jk) - ub(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum trend (general trend - previous one)
                utrd(ji,jj,jk,7) = zua - utrd(ji,jj,jk,7)
@@ -309,5 +309,5 @@
       END DO
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       ! diagnose surface and bottom momentum fluxes
       DO jj = 2, jpjm1   
@@ -322,6 +322,6 @@
             ! subtract surface forcing and bottom friction trend from vertical
             ! diffusive momentum trend
-            vtrd(ji,jj,1     ,7) = vtrd(ji,jj,1     ,7) - tautrd(ji,jj,2)
-            vtrd(ji,jj,ikbvm1,7) = vtrd(ji,jj,ikbvm1,7) - tautrd(ji,jj,4)
+            vtrd(ji,jj,1     ,7) = vtrd(ji,jj,1     ,7) + tautrd(ji,jj,2)
+            vtrd(ji,jj,ikbvm1,7) = vtrd(ji,jj,ikbvm1,7) + tautrd(ji,jj,4)
          END DO
       END DO
@@ -333,5 +333,5 @@
             DO ji = fs_2, fs_jpim1   ! vector opt.
                zva = ( va(ji,jj,jk) - vb(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum fluxes
                vtrd(ji,jj,jk,7) = zva - vtrd(ji,jj,jk,7)
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_atsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_atsk.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_atsk.F90	(revision 109)
@@ -69,7 +69,7 @@
          zwx, zwy, zwz,               &  ! workspace
          zwd, zws, zwi, zwt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       INTEGER ::   &
-         ikbu, ikbum1, ikbv, ikbvm1   &  ! temporary integers
+         ikbu, ikbum1, ikbv, ikbvm1     ! temporary integers
 #endif
       !!----------------------------------------------------------------------
@@ -176,5 +176,5 @@
             DO ji = 2, jpim1
                zua = ( zwx(ji,jk) - ub(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum trend
                utrd(ji,jj,jk,7) = zua - ua(ji,jj,jk)
@@ -184,5 +184,5 @@
          END DO
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
          ! diagnose surface and bottom momentum fluxes
          DO ji = 2, jpim1
@@ -285,5 +285,5 @@
             DO ji = 2, jpim1
                zva = ( zwx(ji,jk) - vb(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum fluxes
                vtrd(ji,jj,jk,7) = zva - va(ji,jj,jk)
@@ -293,5 +293,5 @@
          END DO
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
          ! diagnose surface and bottom momentum fluxes
          DO ji = 2, jpim1
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90	(revision 108)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_iso.F90	(revision 109)
@@ -114,5 +114,5 @@
          zfuw, zdiu, zdju, zdj1u,      &  ! workspace
          zfvw, zdiv, zdjv, zdj1v
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
       INTEGER ::   &
          ikbu, ikbum1 , ikbv, ikbvm1      ! temporary integers
@@ -247,5 +247,5 @@
                ua(ji,jj,jk) = ua(ji,jj,jk) + zuav
                va(ji,jj,jk) = va(ji,jj,jk) + zvav
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the trends for diagnostics
                utrd(ji,jj,jk,5) = utrd(ji,jj,jk,5) + zuav
@@ -290,5 +290,5 @@
             DO ji = 2, jpim1
                zua = ( zwx(ji,jk) - ub(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum trend
                utrd(ji,jj,jk,7) = zua - ua(ji,jj,jk)
@@ -298,5 +298,5 @@
          END DO  
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
 
          ! 1.4 diagnose surface and bottom momentum fluxes
@@ -351,5 +351,5 @@
             DO ji = 2, jpim1
                zva = ( zwx(ji,jk) - vb(ji,jj,jk) ) / z2dt
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
                ! save the vertical diffusive momentum fluxes
                vtrd(ji,jj,jk,7) = zva - va(ji,jj,jk)
@@ -359,5 +359,5 @@
          END DO   
 
-#if defined key_trddyn
+#if defined key_trddyn || defined key_trd_vor
          ! 2.4 diagnose surface and bottom momentum fluxes
          DO ji = 2, jpim1